mod parser;

use common::{Day, Part};

use parser::parse;

pub fn run_day_and_part(day: Day, part: Part, inp: String) -> usize {
    match (day, part) {
        (Day::One, Part::One) => *parse(inp).iter().max().unwrap(),
        (Day::One, Part::Two) => {
            let mut res = parse(inp);
            res.sort();
            res.reverse();
            res[..3].iter().sum()
        }
        (_, _) => 0,
    }
}
